package com.platform.yijia.service.impl;

import com.platform.yijia.dao.CustomerGradeMapper;
import com.platform.yijia.service.CustomerGradeServices;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service("customerGradeServices")
public class CustomerGradeServiceImpl implements CustomerGradeServices {

    @Resource
    private CustomerGradeMapper customerGradeMapper;


    //查询直降
    @Override
    public List<Map> getCustomerGradeList(Map map) {
        return customerGradeMapper.getCustomerGradeList(map);
    }

    //查询客户等级信息
    @Override
    public List<Map<String, Object>> getCustomerGradeInfo(Map map) {
        return customerGradeMapper.getCustomerGradeInfo(map);
    }

    //营销立减
    @Override
    public List<Map> getMarkertPlanListByDiscountPlanType() {
        return customerGradeMapper.getMarkertPlanListByDiscountPlanType();
    }
}
